summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVanessa Rene Valderrama <vvalderrama@linuxfoundation.org>2018-02-15 16:58:44 +0000
committerGerrit Code Review <gerrit@fd.io>2018-02-15 16:58:44 +0000
commit81852bf4dedd832f292a7d0a1862d70ffdd29d97 (patch)
tree64cd385e641db45c3e98abb2dd3696f5e7833f33
parent948a1090912099956700582d73b7e54dc1a2178e (diff)
parentfa52db517486abc99e1abc920340ee0b03a77929 (diff)
Merge "VPP: add pkg and pip list for csit builds"
-rw-r--r--jjb/scripts/setup_vpp_ubuntu_docker_test.sh19
-rw-r--r--jjb/vpp/vpp.yaml1
2 files changed, 20 insertions, 0 deletions
diff --git a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
index 41c8dd6ef..1828174cf 100644
--- a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
+++ b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
@@ -9,6 +9,25 @@
##############################################################################
set -e -o pipefail
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+
if ! [ -z ${DOCKER_TEST} ] ; then
mount -o remount /dev/shm -o size=512M || true
+ echo "/dev/shm remounted"
+fi
+
+if [ "${OS_ID}" == "ubuntu" ]; then
+ dpkg-query -W -f='${binary:Package}\t${Version}\n'
+ pip list
+elif [ "${OS_ID}" == "centos" ]; then
+ yum list installed
+ pip list
+elif [ "${OS_ID}" == "opensuse" ]; then
+ yum list installed
+ pip list
fi
+if [ "x${IS_CSIT_VPP_JOB}" == "xTrue" ]; then
+ (cd dpdk ; apt-get download vpp-dpdk-dkms > /dev/null 2>&1) || true
+ ls -l dpdk/*.deb || true
+ echo "csit vpp-dpdk-dkms package download"
+fi \ No newline at end of file
diff --git a/jjb/vpp/vpp.yaml b/jjb/vpp/vpp.yaml
index 934ed9fe5..0656508b1 100644
--- a/jjb/vpp/vpp.yaml
+++ b/jjb/vpp/vpp.yaml
@@ -244,6 +244,7 @@
- include-raw-vpp-checkstyle.sh
- shell:
!include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
- ../scripts/setup_vpp_dpdk_dev_env.sh
- include-raw-vpp-build.sh
- shell: